Package com.jangular.backend.enums

# Enum Class RoleName

java.lang.Object
java.lang.Enum<RoleName>
com.jangular.backend.enums.RoleName

All Implemented Interfaces:
  `Serializable`, `Comparable<RoleName>`, `Constable`

public enum RoleName extends Enum<RoleName>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ROLE_ADMIN`
`ROLE_MODERATOR`
`ROLE_USER`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static RoleName`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RoleName[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ROLE_USER

public static final RoleName ROLE_USER

### ROLE_ADMIN

public static final RoleName ROLE_ADMIN

### ROLE_MODERATOR

public static final RoleName ROLE_MODERATOR

## Method Details

### values

public static RoleName[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RoleName valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<RoleName>`